The files on this directory are ancillary scripts to help developers
to submit patch. They are:

1) gen_rename_patch.pl

Function:
	This script takes an output of "git diff -M"
	command and uses it to produce a script that renames files/patches,
	called rename_patch.sh.

Usage:
	git diff 2ea4b44..b3f5260 -M | ./gen_rename_patch.pl

Description:
	After running the script, it will create a small shell script that
	will read a patch file and change all occurences there where the
	old filenames were used, chaning it to the new filenames.
	Only "cat", "sed" and "mv" are needed for the produced rename_patch.sh
	script to run.

2) rename_patch.sh

Function:
	This script was generated via gen_rename_patch.pl. It tracks the
	10-patch series (changesets 2ea4b44..b3f5260) that change the
	tree structure for the DVB files.

Usage:
	./rename_patch.sh <patch>

Description:

	This script will rename the <patch> to <patch>.old, and write a
	new <patch> file, that will properly apply to the new tree.
	It is useful to convert a patch designed to be applied before
	the tree structure changes.
